ATOI(3)

NAME
atoi - convert ASCII string to integer

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
int
atoi(const char *nptr);

DESCRIPTION
The atoi() function converts the initial portion of the string pointed to by nptr to integer representation.

It is equivalent to:

    (int)strtol(nptr, (char **)NULL, 10);

SEE ALSO
atof(3), atol(3), strtod(3), strtol(3), strtoul(3)

STANDARDS
The atoi() function conforms to ansiC.

CAVEATS
atoi does no overflow checking, handles unsigned numbers poorly, and handles strings containing trailing extra characters (like “123abc”) poorly. Careful use of strtol(3) and strtoul(3) can alleviate these problems.